﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                {{Model.UserName}} transactions
            </h1>
        </div>
    </div>

    <div class="clearfix"></div>
    <hr />
    <form novalidate="" ng-submit="search()">
        <label for="filter.searchTerm">Search</label>
        <div class="input-control text" data-role="input-control">
            <input id="filter.searchTerm" type="text" ng-model="filter.searchTerm" placeholder="Enter transaction id or confirmation id">
        </div>

        <div class="place-left padding-right20" ng-class="one-third">
            <label for="filter.participantId">Participant</label>
            <div class="input-control select">
                <select id="filter.participantId" ng-model="filter.participantId" ng-init="filter.participantId = '-1'">
                    <option value="{{participant.Value}}" ng-repeat="participant in Model.Participants">{{participant.Title}}</option>
                </select>
            </div>
        </div>
        <div class="place-left padding-right20" ng-class="one-third">
            <label for="filter.startDate">From</label>
            <div class="input-control date-time" data-role="input-control">
                <input id="filter.startDate" ng-model="filter.startDate" kendo-date-picker k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
            </div>
        </div>
        <div class="place-left" ng-class="one-third">
            <label for="filter.endDate">To</label>
            <div class="input-control date-time" data-role="input-control">
                <input id="filter.endDate" ng-model="filter.endDate" kendo-date-picker k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
            </div>
        </div>

        <div class="clearfix"></div>
        <button class="button primary place-right" type="submit">Search</button>
        <button class="button link place-right on-left-more" type="button" ng-click="clearFilters()">Clear filters</button>
    </form>
    <div class="clearfix"></div>
    <br />
    <kendo-grid id="transactionGrid" options="transactionGridOptions"></kendo-grid>
    <div class="clearfix"></div>
</div>
